#ifndef EXT_UTILS_INCLUDED
#define EXT_UTILS_INCLUDED

namespace ext
{

template <class Ty1, class Ty2>
class pair
{
	public:
		Ty1 left;
		Ty2 right;

		pair(const Ty1 &val1, const Ty2 &val2) { left=val1; right=val2; }
		pair(const pair &other) { left=other.left; right=other.right; }
		pair() { }
};

template <class Ty>
class less
{
	public:
		bool operator() (const Ty& left, const Ty& right)
		{
			return left < right;
		}
};

}; // namespace ext

#endif // !defined(EXT_UTILS_INCLUDED)